//
//	Copyright © 2009 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

namespace VWFC
{
	namespace Math
	{
		class VWBodyFace
		{
			friend class VWBody;
		public:
			// construction
							VWBodyFace();
							VWBodyFace(const VWBodyFace& src);
			virtual			~VWBodyFace();

			VWBodyFace&		operator=(const VWBodyFace& src);

		public:
			bool			GetPlanarSurface(VWPoint3D& outPlaneLocation, VWPoint3D& outPlaneNormal);
			bool			GetPlanarSurface(VWPlane& out);

		protected:
							VWBodyFace(int faceID);

		private:
			IVWUnknown*	fp;
			int			fBodyFaceID;
		};
	}
}